local ldb = LibStub:GetLibrary("LibDataBroker-1.1");
local dataobj = ldb:NewDataObject("Broker_Exit", {
	type = "data source",
	icon = "Interface\\Icons\\Ability_Rogue_FeignDeath",
	OnClick = function(self, button)
		if button == "LeftButton" then
			if IsShiftKeyDown() then
				ReloadUI(); --Reload the UI
			elseif IsControlKeyDown() then
				ForceQuit(); -- Hard Exit Game
			elseif IsAltKeyDown() then
				-- Do Nothing
			else
				Logout(); -- Logout
			end
		end
	end,
	OnTooltipShow = function(tooltip)
		tooltip:AddDoubleLine("To |cff1eff00LOGOUT|r:", "|cff1eff00Left Click|r Icon.");
		tooltip:AddDoubleLine("To |cffff8000RELOAD|r your UI:", "|cffff8000<SHIFT> + Left Click|r Icon.");
		tooltip:AddDoubleLine("To |cffa335eeEXIT|r the game:", "|cffa335ee<CONTROL> + Left Click|r Icon.");
	end
});